Bug 4396 - HIldon Tutorial has incorrect/no copyright information
: HIldon Tutorial has incorrect/no copyright information
Status: RESOLVED FIXED
Product: Developer Guide
maemo.org wiki
: 5.0-beta
: All Linux
: Low normal (vote)
: ---
Assigned To: Soumya
: documentation@maemo.org
:
: docs
:
:
  Show dependency tree
 
Reported: 2009-04-28 17:12 UTC by Murray Cumming
Modified: 2010-05-17 16:28 UTC (History)
6 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Murray Cumming (reporter) 2009-04-28 17:12:38 UTC
The start ot the Hildon Tutorial has a license section that talks about use of
trademarks in GNOME software, probably because it was copy/pasted from a GNOME
document. A GNOME->Maemo search/replace should fix it.
http://maemo.org/api_refs/5.0/beta/tutorial/html/
Comment 1 Murray Cumming (reporter) 2009-04-28 17:16:30 UTC
The Hildon User Interface Guidelines have the same problem:
http://maemo.org/api_refs/5.0/beta/hig/html/
Comment 2 Murray Cumming (reporter) 2009-04-28 18:26:15 UTC
And since large parts of the Hildon User Interface Guidelines are based on the
GNOME HIG, you really can't claim that it's just Copyright Nokia, even though
you mention in the text that it's based on the GNOME HIG.
http://maemo.org/api_refs/5.0/beta/hig/html/
Comment 3 Soumya nokia 2009-04-28 19:19:00 UTC
Claudio/Rodrigo, please send me the fixed docs asap so that I can replace the
published docs. Thanks.
Comment 4 Soumya nokia 2009-06-03 15:29:54 UTC
The doc was updated many days ago with the fixed license text. Marking the bug
as fixed.
Comment 5 Andre Klapper maemo.org 2009-06-10 19:40:51 UTC
Mass-moving package specific complaints about API documentation to the
corresponding packages plus adding "docs" keyword.
You can filter your bugmail by searching for "docs-cleanup-20090610".
Sorry for the noise.
Comment 6 Murray Cumming (reporter) 2009-07-16 18:26:36 UTC
(In reply to comment #4)
> The doc was updated many days ago with the fixed license text. Marking the bug
> as fixed.

What was actually updated. Maybe you mean the source DocBook XML, but I can't
verify that because that is secret. I think that's against the license.

This still claims copyright Nokia and does not mention GNOME in the copyright
section:
http://maemo.org/api_refs/5.0/beta/tutorial/html/

And this newer version in the Wiki has _no_ license or copyright information,
which is a clear violation of the GNOME HIG's license:
http://wiki.maemo.org/Documentation/Maemo_5_Developer_Guide/Human_Interface_Guidelines
Comment 7 Soumya nokia 2009-07-16 19:09:21 UTC
If I remember right, the fix  was referring to the very first license text
replaced with the Nokia copyright. I am told that all documentation needs to
have the same license as in Diablo Reference Manual. 
I have now added the same license information to the wiki too.
Comment 8 Murray Cumming (reporter) 2009-07-16 19:19:43 UTC
> I am told that all documentation needs to have the same license as in Diablo Reference Manual. 

It's not Nokia's copyright alone. It's based on the GNOME HIG. It doesn't
matter who "told" you to claim that it's Nokia's copyright. It's not. Please
check with the person who told you - that person probably doesn't know the
situation.

> I have now added the same license information to the wiki too.

Where? I notice that there's a general "all content CC" at the bottom, which is
again wrong.
Comment 9 Soumya nokia 2009-07-17 12:00:07 UTC
(In reply to comment #8)
> It's not Nokia's copyright alone. It's based on the GNOME HIG. It doesn't
> matter who "told" you to claim that it's Nokia's copyright. It's not. Please
> check with the person who told you - that person probably doesn't know the
> situation.
> 
No one around at the moment who can help me here (vacation time).  I have
mailed Claudio, hope he can say something about this and tell exactly what to
put in

> > I have now added the same license information to the wiki too.
> 
> Where?

First page: http://wiki.maemo.org/Documentation/Maemo_5_Developer_Guide 

>I notice that there's a general "all content CC" at the bottom, which is
> again wrong.
> 

Where is this?
Comment 10 Murray Cumming (reporter) 2009-07-17 12:06:35 UTC
> >I notice that there's a general "all content CC" at the bottom, which is
> > again wrong.
> > 
> 
> Where is this?

At the bottom of all these wiki pages. It's in the standard footer.
Comment 11 Murray Cumming (reporter) 2009-07-17 12:09:12 UTC
(In reply to comment #7)
> I have now added the same license information to the wiki too.

You have put that at the start of the entire documentation. So you have put it
all under the GFDL license, instead of just putting the HIG under that license
(as it must be because it is derived from the GNOME HIG.)

Of course, I would like all the documentation to be open source, but I don't
think that's what you mean. Be careful, because you can't un-open-source this
later.
Comment 12 Claudio Saavedra 2009-07-17 13:52:57 UTC
(In reply to comment #9)
> (In reply to comment #8)

> No one around at the moment who can help me here (vacation time).  I have
> mailed Claudio, hope he can say something about this and tell exactly what to
> put in

I am not a lawyer, neither are you, so I would really suggest you to get
assistance from the Nokia legal team. I will give my opinion on this but take
it with a grain of salt.

(In reply to comment #8)
> 
> It's not Nokia's copyright alone. It's based on the GNOME HIG. It doesn't
> matter who "told" you to claim that it's Nokia's copyright. It's not. Please
> check with the person who told you - that person probably doesn't know the
> situation.

Murray, these documents have changed extensively since this bug was opened.
Portions that were taken from the HIG were removed and, instead, these are
referenced now. The concept of the document may be the same in spirit, and also
some small fragments might be similar, but I am not sure if that would qualify
as a copyright infringement. I am not a lawyer, as I said, and neither know
both documents well enough to determine the status.

Anyway, to sort this out, I would suggest either

1. Add the copyright to the original GNOME HIG authors. This is trivial to do
and I personally don't see a problem with it. In fact, it is probably the right
thing to do.

2. If this is a problem for Nokia for whatever reason, then this document needs
to be reviewed by a legal team to determine which parts of the document could
cause a copyright infringement, and these should be removed/rewritten/etc.

In any case, that's not up to me. I'm just giving my opinion, you should take
it with a grain of salt and get a competent person in legal matters to look at
this.
Comment 13 Murray Cumming (reporter) 2009-07-17 14:05:46 UTC
(In reply to comment #12)

> Murray, these documents have changed extensively since this bug was opened.
> Portions that were taken from the HIG were removed and, instead, these are
> referenced now.

Oh, that would be much better anyway. That would fix the copyright/license
issue for the Hildon HIG. However, it's not entirely true because the
introduction is still just a copy of the GNOME HIG's introduction:
http://wiki.maemo.org/Documentation/Maemo_5_Developer_Guide/Human_Interface_Guidelines/Introduction
http://library.gnome.org/devel/hig-book/stable/intro.html.en
Comment 14 Claudio Saavedra 2009-07-17 16:02:22 UTC
(In reply to comment #13)
> (In reply to comment #12)
> 
> > Murray, these documents have changed extensively since this bug was opened.
> > Portions that were taken from the HIG were removed and, instead, these are
> > referenced now.
> 
> Oh, that would be much better anyway. That would fix the copyright/license
> issue for the Hildon HIG. However, it's not entirely true because the
> introduction is still just a copy of the GNOME HIG's introduction:
> http://wiki.maemo.org/Documentation/Maemo_5_Developer_Guide/Human_Interface_Guidelines/Introduction
> http://library.gnome.org/devel/hig-book/stable/intro.html.en

Well, that's why I am telling that the document needs to be reviewed
extensively if copyright can't be shared with the GNOME HIG authors. I just
don't have time to do it myself and also don't think it is my duty to do so,
that's why I reassigned the bug to Soumya and gave a couple of suggestions on
how to proceed.

I can't do more than that, seriously.
Comment 15 Soumya nokia 2009-07-28 16:30:16 UTC
After discussions with the Nokia lawyers, here is the conclusion:
* The correct license for the documentation is the Gnu Free Documentation
license 
* The reference to the Creative Commons license is an error. 
* We are going to add the copyright of GNOME in the acknowledgements to
identify that we have copied parts of our texts from this source.

As a followup, I have added the copyright of GNOME to the main legal notice and
also in the introduction page for HIG.
http://wiki.maemo.org/Documentation/Maemo_5_Developer_Guide
http://wiki.maemo.org/Documentation/Maemo_5_Developer_Guide/Human_Interface_Guidelines/Introduction

The next task is to find out how we can remove "All content CC" from all the
developer guide pages.
Daniel is checking that out.
Comment 16 Soumya nokia 2009-07-29 11:24:26 UTC
The link "All content CC" is now removed from the manual pages.  Thanks Daniel
and Niels. Marking the bug as fixed now.
Comment 17 Andre Klapper maemo.org 2010-05-17 16:28:39 UTC
[Rearrangement of Documentation bug reports.]
Mass-moving old closed Developer Platform > Documentation tickets.
You can filter bugmail by searching for this comment.